package com.hfkj.service.agent;

import com.hfkj.entity.BsAgentStaff;

import java.util.List;
import java.util.Map;

/**
 * @className: BsAgentStaffService
 * @author: HuRui
 * @date: 2024/6/17
 **/
public interface BsAgentStaffService {

    /**
     * 编辑工作人员数据
     * @param agentStaff
     */
    void editData(BsAgentStaff agentStaff);

    /**
     * 增加工作人员
     * @param agentStaff
     */
    void addStaff(BsAgentStaff agentStaff) throws Exception;

    /**
     * 修改工作人员
     * @param agentStaff
     */
    void updateStaff(BsAgentStaff agentStaff);

    /**
     * 删除工作人员
     * @param id
     */
    void delStaff(Long id);

    /**
     * 工作人员密码重置
     * @param id
     */
    void staffPwdReset(Long id);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    BsAgentStaff getStaffDetailById(Long id);

    /**
     * 查询工作人员列表
     * @param param
     * @return
     */
    List<BsAgentStaff> getStaffList(Map<String, Object> param);

    /**
     * 查询工作人员
     * @param agentId
     * @return
     */
    List<BsAgentStaff> getStaffList(Long agentId);

}
